% bump -- Animated attractor bump simulation.
%
% See the README file for instructions for use.
%
% Copyright (c) 2004 David S. Touretzky
% Computer Science Department
% Carnegie Mellon University
% Pittsburgh, PA 15213-3891
%
% Free software released under the Gnu GPL (General Public License).
%
% Funded in part by National Institutes of Health MH 59932.

N = 120;
halfN = floor(N/2);

X = zeros(N,1);   % external input

dij = abs(repmat(1:N,N,1) - repmat((1:N)',1,N));
dij(dij > halfN) = N - dij(dij > halfN);
nij = dij / halfN;

Bias = 0;
Noise = 0;
DecayRate = 0.9;

z = 0;
t = 0;
stepcnt=0;

params_semilinear

coords = (0:(N-1))' / N * 2*pi - pi;
sincoords = sin(coords);
coscoords = cos(coords);

setup_display
disp('Mouse on the bump to make it move.')

run_flag = Inf;
bump_mainloop
